<?php
function spacare_css() {
	$parent_style = 'spabiz-parent-style';
	wp_enqueue_style( $parent_style, get_template_directory_uri() . '/style.css' );
	wp_enqueue_style( 'spacare-style', get_stylesheet_uri(), array( $parent_style ));
}
add_action( 'wp_enqueue_scripts', 'spacare_css',999);
   	


function spacare_custom_header_setup() {
	add_theme_support( 'custom-header', apply_filters( 'spabiz_custom_header_args', array(
		'default-image'          => '',
		'default-text-color'     => 'ffffff',
		'width'                  => 2000,
		'height'                 => 200,
		'flex-height'            => true,
		'wp-head-callback'       => 'spabiz_header_style',
	) ) );
}
add_action( 'after_setup_theme', 'spacare_custom_header_setup' );

function spacare_remove_parent_setting( $wp_customize ) {
	   $wp_customize->remove_section('info_setting');
}
add_action( 'customize_register', 'spacare_remove_parent_setting',99 );	

/**
 * Import Options From Parent Theme
 *
 */
function spacare_parent_theme_options() {
	$spabiz_mods = get_option( 'theme_mods_spabiz' );
	if ( ! empty( $spabiz_mods ) ) {
		foreach ( $spabiz_mods as $spabiz_mod_k => $spabiz_mod_v ) {
			set_theme_mod( $spabiz_mod_k, $spabiz_mod_v );
		}
	}
}
add_action( 'after_switch_theme', 'spacare_parent_theme_options' );

require( get_stylesheet_directory() . '/inc/customizer/customizer-pro/class-customize.php');